# Interface methods for submodule: AdaptiveEqualizationHistogram
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: AdaptiveEqualizationHistogram
class AdaptiveEqualizationHistogramProxy():
	@overload
	def AddPixel(self, p: float) -> None:
		""""""
		...

	@overload
	def AddPixel(self, p: int) -> None:
		""""""
		...

	@overload
	def RemovePixel(self, p: float) -> None:
		""""""
		...

	@overload
	def RemovePixel(self, p: int) -> None:
		""""""
		...

	@overload
	def GetValue(self, pixel: float) -> float:
		""""""
		...

	@overload
	def GetValue(self, pixel: int) -> int:
		""""""
		...

	def AddBoundary(self) -> None:
		""""""
		...

	def RemoveBoundary(self) -> None:
		""""""
		...

	def SetAlpha(self, alpha: float) -> None:
		""""""
		...

	def SetBeta(self, beta: float) -> None:
		""""""
		...

	def SetKernelSize(self, kernelSize: float) -> None:
		""""""
		...

	@overload
	def SetMinimum(self, minimum: float) -> None:
		""""""
		...

	@overload
	def SetMinimum(self, minimum: int) -> None:
		""""""
		...

	@overload
	def SetMaximum(self, maximum: float) -> None:
		""""""
		...

	@overload
	def SetMaximum(self, maximum: int) -> None:
		""""""
		...

